package com.jasamedika.medifirst2000.converter;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Component;

import com.google.gson.Gson;
import com.jasamedika.medifirst2000.converter.base.BaseVoConverter;
import com.jasamedika.medifirst2000.entities.PapTumbuhKembangAnak;
import com.jasamedika.medifirst2000.vo.PapTumbuhKembangAnakVO;

/**
 * Converter class between PAPTumbuhKembangAnak and PAPTumbuhKembangAnakVO
 * 
 * @author Askur
 */
@Component
public class PapTumbuhKembangAnakConverter implements BaseVoConverter<PapTumbuhKembangAnakVO, PapTumbuhKembangAnak> {
	

	public PapTumbuhKembangAnak transferVOToModel(PapTumbuhKembangAnakVO vo, PapTumbuhKembangAnak model) {
		if (null == model)
			model = new PapTumbuhKembangAnak();
		try {
			String[] fieldsToInclude = null;
			Map<String, Object> serialized = vo.serialize(fieldsToInclude,vo.getClass().getName());
			Gson gson = new Gson();
	        String json = gson.toJson(serialized);
	        model = gson.fromJson(json, PapTumbuhKembangAnak.class);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return model;

	}

	public List<PapTumbuhKembangAnakVO> transferListOfModelToListOfVO(List<PapTumbuhKembangAnak> models,
			List<PapTumbuhKembangAnakVO> vos) {
		if (null == vos)
			vos = new ArrayList<PapTumbuhKembangAnakVO>();

		if (null == models)
			return vos;

		for (PapTumbuhKembangAnak PapTumbuhKembangAnak : models) {
			PapTumbuhKembangAnakVO vo = new PapTumbuhKembangAnakVO();
			vo = transferModelToVO(PapTumbuhKembangAnak, vo);
			vos.add(vo);
		}

		return vos;
	}

	@Override
	public PapTumbuhKembangAnakVO transferModelToVO(PapTumbuhKembangAnak model, PapTumbuhKembangAnakVO vo) {

		if (null == vo)
			vo = new PapTumbuhKembangAnakVO();
		try {
			String[] fieldsToInclude = null;
			Map<String, Object> serialized = model.serialize(fieldsToInclude,model.getClass().getSimpleName());
			Gson gson = new Gson();
	        String json = gson.toJson(serialized);
	        vo = gson.fromJson(json, PapTumbuhKembangAnakVO.class);
		} catch (Exception e) {
			e.printStackTrace();
		}

		return vo;
	
	}

	
}
